import * as React from "react";
export declare const SubmitLinkStyled: import("styled-components").StyledComponent<"div", any, {}, never>;
export interface SubmitLinkResponseProps {
    error: boolean;
}
export declare const ResponseText: import("styled-components").StyledComponent<"p", any, SubmitLinkResponseProps, never>;
export interface SubmitLinkProps {
    name: string;
    buttonText?: string;
    placeholder?: string;
    submitting: boolean;
    success: boolean;
    error: boolean;
    onSubmit(): void;
    onChange(name: string, value: string): void;
}
export declare const SubmitLink: React.FunctionComponent<SubmitLinkProps>;
